| ThorVG v0.4

Public Member Functions | Static Public Member Functions | List of all members
GlCanvasfinal
ThorVG

A class for the rendering graphic elements with a GL raster engine. More...

Inheritance diagram for GlCanvas:
[legend]

## Public Member Functions
Result | target (uint32_t *buffer, uint32_t stride, uint32_t w, uint32_t h) noexcept
| Sets the target buffer for the rasterization. More...
Public Member Functions inherited from Canvas
Result | reserve (uint32_t n) noexcept
| Sets the size of the container, where all the paints pushed into the Canvas are stored. More...
virtual Result | push (std::unique_ptr< Paint > paint) noexcept
| Passes drawing elements to the Canvas using Paint objects. More...
virtual Result | clear (bool free=true) noexcept
| Sets the total number of the paints pushed into the canvas to be zero. Depending on the value of the `free` argument, the paints are freed or not. More...
virtual Result | update (Paint *paint) noexcept
| Request the canvas to update the paint objects. More...
virtual Result | draw () noexcept
| Request the canvas to draw the Paint objects. More...
virtual Result | sync () noexcept
| Guarantees that drawing task is finished. More...

## Static Public Member Functions
static std::unique_ptr< GlCanvas > | gen () noexcept
| Creates a new GlCanvas object. More...

## Detailed Description

A class for the rendering graphic elements with a GL raster engine.

Warning
  Please do not use it. This class is not fully supported yet.

## Member Function Documentation

## ◆ gen()

static std::unique_ptr<GlCanvas> gen | ( |  | ) |
| static noexcept

Creates a new GlCanvas object.

Returns
  A new GlCanvas object.

## ◆ target()

Result target | ( | uint32_t * | buffer,
|  | uint32_t | stride,
|  | uint32_t | w,
|  | uint32_t | h
| ) |  |
| noexcept

Sets the target buffer for the rasterization.

Warning
  Please do not use it, this API is not official one. It could be modified in the next version.